const extractVueSnippets = require('./extractVueSnippets');
const extractJSSnippets = require('./extractJSSnippets');

const extractSnippets = file => {
  if (file.endsWith('.vue')) {
    return extractVueSnippets(file);
  }
  return extractJSSnippets(file);
};

module.exports = extractSnippets;
