const decorateExtractorWithHelpers = extractor => {
  extractor.ensureSingleLineMessages = () => {
    if (extractor.$ensuredSingleLine) {
      return;
    }
    const SingleLineCatalogBuilder = require('./singleLineCatalogBuilder');

    extractor.builder = new SingleLineCatalogBuilder(extractor.builder);

    extractor.$ensuredSingleLine = true;
  };

  return extractor;
};

module.exports = decorateExtractorWithHelpers;
